This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 578343 - Publican doesn't include <othername> and <surname> in POT files
Publican doesn't include <othername> and <surname> in POT files
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-30 19:49 EDT by Ruediger Landmann
Modified: 2010-11-23 23:19 EST (History)
7 users (show)

See Also:
Fixed In Version: publican-1.6.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-03 00:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-03-30 19:49:58 EDT
Description of problem:
When Publican generates POT files, it ignores any <othername> and <lastname> elements in <author>, <editor>, and <othercredit>

Version-Release number of selected component (if applicable):
1.6.1

How reproducible:
100%

Steps to Reproduce:
1. Create a book
2. Edit Author_Group.xml and give Dude McPants an <othername> like a middle initial
3. run publican update_pot

Actual results:
Author_Group.pot contains a msgid for "Tag: firstname", but no msgids for othername and surname

Expected results:
Author_Group.pot contains msgids for all elements of <author>

Additional info:
Name elements enclosed in <editor> and <othercredit> behave the same way. 

Bug 555645 described an earlier version of Publican not including any part of <author> in the POT files.
Comment 1 Manuel Ospina 2010-03-30 21:04:24 EDT
+1

This will help to transliterate names into different alphabets if necessary.

Regards,
Manuel
Comment 2 Ruediger Landmann 2010-03-31 23:12:55 EDT
<othername> and <surname> get added to POT files correctly in 1.6.1-0.t29
Comment 3 Fedora Update System 2010-04-01 01:15:03 EDT
publican-1.6.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc12
Comment 4 Fedora Update System 2010-04-01 01:15:29 EDT
publican-1.6.2-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc11
Comment 5 Fedora Update System 2010-04-01 01:15:56 EDT
publican-1.6.2-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.2-0.fc13
Comment 6 Fedora Update System 2010-04-03 00:39:37 EDT
publican-1.6.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-04-03 00:50:18 EDT
publican-1.6.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-04-09 00:27:44 EDT
publican-1.6.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.